Sphere is best supported in Internet Explorer.  Functionality errors like those listed above are typically caused because of browser compatibility.  Please try closing out of the existing browser and completing your modifications through Internet Explorer. The most compatible versions of Internet Explorer are Internet Explorer 8 & 9. If you are using Internet Explorer 10 or 11 you can set compatibility settings in your browser that will resolve the issue.  If the problem still persists, Chat with Support and reference this article.